Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.util
Class HtmlUtil

    java.lang.Object
      org.richfaces.component.util.HtmlUtil

    public final class HtmlUtil

extends java.lang.Object

Author:
  Nick Belaevski - nbelaevski@exadel.com created 09.02.2007

Field Summary
`static java.util.regex.Pattern` | `ID_SELECTOR_PATTERN`

Method Summary
`static java.lang.String` | `addToSize(java.lang.String declaration, java.lang.String delta)`
`static java.lang.String` | `concatClasses(java.lang.String... classes)`
`static java.lang.String` | `concatStyles(java.lang.String... styles)`
`static java.lang.String` | `expandIdSelector(java.lang.String selector, javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)`
`static java.lang.String` | `idsToIdSelector(java.lang.String ids)`
`static java.lang.String` | `qualifySize(java.lang.String sizeDeclaration)`
`static boolean` | `shouldWriteId(javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_SELECTOR_PATTERN

    public static final java.util.regex.Pattern ID_SELECTOR_PATTERN

Method Detail

### qualifySize

    public static java.lang.String qualifySize(java.lang.String sizeDeclaration)

### addToSize

    public static java.lang.String addToSize(java.lang.String declaration,
                                             java.lang.String delta)

### expandIdSelector

    public static java.lang.String expandIdSelector(java.lang.String selector,
                                                    javax.faces.component.UIComponent component,
                                                    javax.faces.context.FacesContext context)

### idsToIdSelector

    public static java.lang.String idsToIdSelector(java.lang.String ids)

### shouldWriteId

    public static boolean shouldWriteId(javax.faces.component.UIComponent component)

### concatClasses

    public static java.lang.String concatClasses(java.lang.String... classes)

### concatStyles

    public static java.lang.String concatStyles(java.lang.String... styles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.